SolrFilter (Solr 3.6.2 API)
Keywords: org.apache.solr.search.SolrFilter class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.solr.search
Class SolrFilter

    java.lang.Object
      org.apache.lucene.search.Filter
          org.apache.solr.search.SolrFilter

All Implemented Interfaces:
  Serializable

Direct Known Subclasses:
  ValueSourceRangeFilter

    public abstract class SolrFilter

extends Filter

A SolrFilter extends the Lucene Filter and adds extra semantics such as passing on weight context info for function queries. Experimental and subject to change.

See Also:
  Serialized Form

Constructor Summary
`SolrFilter()`

Method Summary
`abstract void` | `createWeight(Map context, Searcher searcher)` Implementations should propagate createWeight to sub-ValueSources which can store weight info in the context.
`DocIdSet` | `getDocIdSet(IndexReader reader)`
`abstract DocIdSet` | `getDocIdSet(Map context, IndexReader reader)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SolrFilter

    public SolrFilter()

Method Detail

### createWeight

    public abstract void createWeight(Map context,
                                      Searcher searcher)
                               throws IOException

  Implementations should propagate createWeight to sub-ValueSources which can store weight info in the context. The context object will be passed to getDocIdSet() where this info can be retrieved.

  Throws:
    `IOException`

### getDocIdSet

    public abstract DocIdSet getDocIdSet(Map context,
                                         IndexReader reader)
                                  throws IOException

  Throws:
    `IOException`

### getDocIdSet

    public DocIdSet getDocIdSet(IndexReader reader)
                         throws IOException

  Specified by:
    `getDocIdSet` in class `Filter`
  Throws:
    `IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD